summaryrefslogtreecommitdiff
path: root/gpg/list-keys.sh
diff options
context:
space:
mode:
authorChristian Pointner <equinox@spreadspace.org>2018-12-01 23:14:05 +0100
committerChristian Pointner <equinox@spreadspace.org>2018-12-01 23:14:05 +0100
commit17447210485bbe379beb9c7e9a3034e900110ed9 (patch)
tree1b911eed4ea5bce52a5bc24f0951dfe200ea3217 /gpg/list-keys.sh
parentfixed acmetool self-signed cert handling (diff)
moved to multi environment repo structure
Diffstat (limited to 'gpg/list-keys.sh')
-rwxr-xr-xgpg/list-keys.sh10
1 files changed, 9 insertions, 1 deletions
diff --git a/gpg/list-keys.sh b/gpg/list-keys.sh
index 4b010495..4166fa59 100755
--- a/gpg/list-keys.sh
+++ b/gpg/list-keys.sh
@@ -1,2 +1,10 @@
#!/bin/bash
-exec "${BASH_SOURCE%/*}/gpg2.sh" --list-keys $@
+
+if [ -z "$1" ]; then
+ echo "Usage: $0 <environment> [ .. additional parameters passwd on to gpg2 .. ]"
+ exit 1
+fi
+NAME="$1"
+shift
+
+exec "${BASH_SOURCE%/*}/gpg2.sh" "$NAME" --list-keys "$@"